/*************************************************************************
*
*  File Name   : STY_DLG.H
*
*  Description : This header file contains the constants for dialogs used
*                by the Style sample.
*
*  Copyright (C) 1992 IBM Corporation
*
*      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
*      sample code created by IBM Corporation. This sample code is not
*      part of any standard or IBM product and is provided to you solely
*      for  the purpose of assisting you in the development of your
*      applications.  The code is provided "AS IS", without
*      warranty of any kind.  IBM shall not be liable for any damages
*      arising out of your use of the sample code, even if they have been
*      advised of the possibility of such damages.                                                    *
*
************************************************************************/

#define IDD_ENTERTEXTDLG       0x1000
#define IDD_BUTTONSDLG         0x1001
#define IDD_LISTBOXDLG         0x1002
#define IDD_COMBOBOXDLG        0x1003
#define IDD_SL_ENTRYFIELDDLG   0x1004
#define IDD_ML_ENTRYFIELDDLG   0x1005
#define IDD_STATICDLG          0x1006
#define IDD_DEMOMSGBOX         0x1007
#define IDD_PPDEMODLG          0x1008
#define IDD_PRODINFO           0x1009
#define IDD_SLIDERDLG          0x1010
#define IDD_SPINBUTTONDLG      0x1011
#define IDD_NOTEBOOKDLG        0x1012
#define IDD_VALUESETDLG        0x1013
#define IDD_CONTAINERDLG       0x1014

#define IDD_TEXTCONV_DLG       0x1015

#define IDC_OK              1
#define IDC_CANCEL          2
#define IDC_HELP            3
//#define IDC_ENTRY           101
//#define IDC_MLE             102
#define IDC_RADIO1          103
#define IDC_RADIO2          104
#define IDC_RADIO3          105
#define IDC_PUSHBUTTON      106
#define IDC_3STATE          107
#define IDC_CHECKBOX        108
//#define IDC_LISTBOX         109
//#define IDC_MULTISELLISTBOX 110
#define IDC_SIMPLE          111
#define IDC_DROPDOWN        112
#define IDC_DROPDOWNLIST    113
#define IDC_STATICTEXT      114
#define IDC_GROUPBOX        115
#define IDC_ICON            116
#define IDC_STATICFRAME     117
#define IDC_STATICRECT      118
#define IDC_FORECOLORLIST   119
#define IDC_BACKCOLORLIST   120
#define IDC_FONTLIST        121
#define IDC_SAMPLETEXT      122
#define IDC_APPLY           123
#define IDC_ICONBUTTON      124
#define IDC_SERVANT         125
#define IDC_MASTER          126
#define IDC_HSLIDER         127
#define IDC_VSLIDER         128
#define IDC_SLIDERDATA      129
#define IDC_VSLIDERDATA     130
#define IDC_HSLIDERDATA     131
#define IDC_VALUESET        132
#define IDC_VALUESETTEXT    133
#define IDC_NOTEBOOK        134
#define IDC_BITMAP          135
#define IDC_CONTAINER       136


#define IDC_SLE_DLG_END     150
#define IDC_ENTRY_1         151
#define IDC_ENTRY_2         152
#define IDC_ENTRY_3         153
#define IDC_ENTRY_4         154

#define IDC_MLE_DLG_END     160
#define IDC_MLE_1           161
#define IDC_MLE_2           162

#define IDC_LISTBOX1         170
#define IDC_LISTBOX2         171
#define IDC_MULTISELLISTBOX1 180
#define IDC_MULTISELLISTBOX2 181


#define IDC_TEXTCONV_START   200
#define IDC_TEXTCONV_RESULT  201
#define IDC_TEXTCONV_SOURCE  202
#define IDC_TEXTCONV_TARGET  203

#include <pmbidi.h>

#if 0
#define BDA_INIT                0x80000000
#define BDA_LEVEL               0x30000000

#define BDA_DATATYPE_VISUAL     0x00000000
#define BDA_DATATYPE_IMPLICIT   0x01000000

#define BDA_WND_ORIENT_LTR      0x00000000
#define BDA_WND_ORIENT_RTL      0x00100000

#define BDA_TEXT_ORIENT_LTR     0x00000000
#define BDA_TEXT_ORIENT_RTL     0x00010000
#define BDA_TEXT_ORIENT_DYNAMIC 0x00020000

#define BDA_NUMERALS_ARABIC     0x00000000
#define BDA_NUMERALS_WESTERN    0x00000000
#define BDA_NUMERALS_PASSTHRU   0x00001000
#define BDA_NUMERALS_HINDI      0x00002000
#define BDA_NUMERALS_CONTEXT    0x00003000

#define BDA_SYM_SWAP_OFF        0x00000000
#define BDA_SYM_SWAP_ON         0x00000100

#define BDA_WORD_BREAK_OFF      0x00000000
#define BDA_WORD_BREAK_ON       0x00000200

#define BDA_CSD_ON              0x00000000
#define BDA_CSD_PASSTHRU        0x00000001
#define BDA_CSD_BASE            0x00000010
#define BDA_CSD_INITIAL         0x00000011
#define BDA_CSD_MIDDLE          0x00000012
#define BDA_CSD_FINAL           0x00000013
#define BDA_CSD_ISOLATED        0x00000014


/*----------------------------------------------------------------------*/
/* Bidirectional attribute (BIDIATTR) as specified in a window template */
/* or in the resource script.                                           */
/* (Private) in fact, these are numbers for presentation parameters)    */
/*----------------------------------------------------------------------*/
#define BIDIPARAM                   PRESPARAMS
#define PP_BDATTR_FIRST             100L   /* First BidiAttr PresParam  */
                                           /*                           */
#define PP_BDATTR_ALL               100L   /* Set ALL Bidi attrs        */
                                           /*                           */
#define PP_BDATTR_DATATYPE          101L   /* Text/Data type            */
#define PP_BDATTR_TEXT_ORIENTATION  102L   /* Text Orientation          */
#define PP_BDATTR_WND_ORIENTATION   103L   /* Window Orientation        */
#define PP_BDATTR_NUMERALS          104L   /* Arabic/Hindi Numerals     */
#define PP_BDATTR_SYM_SWAP          105L   /* Symetric Swapping         */
#define PP_BDATTR_WORD_BREAK        106L   /* Word break                */
#define PP_BDATTR_CSD               107L   /* Char Shape Determination  */
                                           /*                           */
#define PP_BDATTR_LAST              107L   /* Last BidiAttr PresParam   */
                                           /*                           */
#define PP_BDSTATUS                 110L   /* Bidirectional status flags*/

#endif /*0*/

